<template>
	<view class="bodycont">
	<!-- 	<view class="toptxt">
			美团外卖
		</view> -->
		<view class="tabcont">
			<view class="tabcont tabcontsp">
				<span class="tabconttxt tabconttxt-check">
					美团
				</span>
				<span class="tabconttxt getBtn-containe-uncheck">
					饿了么
				</span>
			</view>
			
		</view>
		<view>
			<image class="pageBac" src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/dfg/h5mt1.png"></image>
		</view>
		<view class="code-cont">
			<view class="code-flow">
				<image class="code-flow-img" src="https://yanfeiobpub.obs.cn-east-3.myhuaweicloud.com/dfg/h5huanstep.png"></image>
			</view>
			<view class="code-img">
				<image class="code-img-code" :src="qrcode"></image>
			</view>
			<view class="code-btn" @click="shareClick()">
				领红包点外卖
			</view>
		</view>
		
		<view class="rulesContent">
			<view class="txt-title">
				规则说明：
			</view>
			<view class="richtext-content">
				1.此活动为部分区域有效，以活动页面实际展示为准;红包发放数量及红包金额具有随机性;具体红包使用有效期及红包金额以实际收到为准;</br>
				2.红包使用规则:</br>
				(1)红包使用门槛、使用期限及使用规则等以红包券面展示信息为准;</br>
				(2)红包可在美团或美团外卖最新版客户端、美团外卖小程序下单且选择在线支付时使用;且红包仅限非到店自取外卖订单，下午茶、夜宵、美食、蛋糕、团餐频道、甜点
				饮品频道使用; </br>
				(3)外卖新人首单红包限新用户(设备、手机号、 红包
				号均未在美团外卖下过单)首次下单使用，且不与其他优惠(首减、满减、满赠、套餐增、折扣菜)同享;非首单红包可与上述优惠叠加使用;</br>
				(4)使用红包时下单手机号码必须与收餐人手机号码、领取红包时输入的手机号码一致:</br>
				3.订单跟单规则为您通过本活动页点击跳转至美团后只要产生有效点击即可进行跟单，点击有效期最长为7天</br>
			</view>
		</view>
	</view>
</template>
<script>
	import './mt.css'
	export default {
		data() {
			return {
				optionsCurrent:1,
				qrcode:'',
				mtInfo:{},
				optionsList: [{
						label: "美团",
						type: 1
					},
					{
						label: "饿了么",
						type: 2
					}
				]
			}
		},
		onLoad() {
			this.IntiData()
		},
		methods: {
			IntiData() {
				var that = this;
				this.$http.post('/api/taoke/meituan_act', {
					type: this.optionsCurrent
				}).then(e => {
					if (e.code != 0)
					{
						uni.showToast({
						        title:res.data.msg,
						        icon:'none'
						});
						return;
					}
					
					that.mtInfo = e.data.info;
					that.qrcode = that.mtInfo.we_app_info.miniCode;
					console.log(that.qrcode);
				}).catch(function(err) {
					console.log(err);
				})
			},
			shareClick() {
				if(this.mtInfo)
				{
					window.location.href=this.mtInfo.deeplink;
				}
			},
			
		}
	}
</script>